/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.worlds;

import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.Rectangle;

/**
 *
 * @author Jacob
 */
public abstract class View {
    public int width;
    public int height;
    protected final Font messageFont = new Font("Arial", Font.BOLD, 24);
    protected final Font defaultFont = new Font("Arial", Font.BOLD, 13);
    public abstract void draw(Graphics2D g, int viewWidth, int viewHeight);
    public abstract void drawUI(Graphics2D g, int panelWidth, int panelHeight, int viewWidth, int viewHeight);
    public abstract boolean eMouseDrag(int b, int x, int y);
    public abstract boolean eMouseDown(int b, int x, int y);
    public abstract boolean eMouseUp(int b, int x, int y);
    public abstract boolean eMouseMove(int x, int y);
    public void setSize(int width, int height)
    {
        this.width = width;
        this.height = height;
    }
}
