/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.worlds.input;

import net.worlds.WorldsException;

/**
 *
 * @author Jacob Morgan
 */
public abstract class InputProcessor {
    public abstract void keyDown(int code) throws WorldsException;
    public abstract void keyTyped(int code) throws WorldsException;
    public abstract void keyUp(int code) throws WorldsException;
    public abstract void mouseDown(int b, int x, int y) throws WorldsException;
    public abstract void mouseClicked(int b, int x, int y) throws WorldsException;
    public abstract void mouseUp(int b, int x, int y) throws WorldsException;
    public abstract void mouseMoved(int x, int y) throws WorldsException;
    public abstract void mouseDragged(int x, int y, int btn) throws WorldsException;
    public abstract void mouseWheelMoved(int wheelRotation) throws WorldsException;
}
